<template>
	<view class="content">
		<view class="box">
			<view class="wx">
				<text>姓名</text>
				<input type="text" v-model="name" value="" placeholder="请输入姓名" />
			</view>
			<view class="wx">
				<text>微信号</text>
				<input type="text" v-model="code" value="" placeholder="请输入微信号" />
			</view>
			<view class="wx">
				<text>手机号</text>
				<input type="text" v-model="phone" value="" placeholder="请输入手机号" />
			</view>
			<!-- <view class="wx">
				<text>验证码</text>
				<view class="login_name flex">
					<input class="uni-input" v-model="captcha" focus placeholder="请输入验证码" />
					<view class="code" @click="verification">{{ countDown == 0 ? '验证码' : countDown }}</view>
				</view>
			</view> -->
			<view class="erweima">
				<text>微信收款码</text>
				<view class="img" @click="uploads()">
					<image src="../../static/user/erweima.png" mode="" v-if="image == ''"></image>
					<image :src="image" mode="" v-else></image>
				</view>
			</view>
		</view>
		<view class="button" @click="confirm()">
			确认
		</view>
	</view>
</template>

<script>
	import {
		upload
	} from '@/api/order.js'
	import {
		auction,
		pay_list
	} from '@/api/wallet.js';
	import {
		verify
	} from '@/api/login.js';
	import {
		mapState
	} from 'vuex';
	export default {
		computed: {
			...mapState('user', ['userInfo'])
		},
		data() {
			return {
				code: '',
				name: '',
				image: '',
				phone: '',
				// captcha: '',
				countDown: 0, //倒计时
				time: '',
				upFileLoding:false,
			};
		},
		watch: {
			// 监听倒计时
			countDown(i) {
				if (i == 0) {
					clearInterval(this.time);
				}
			}
		},
		onLoad() {
			pay_list().then(({
				data
			}) => {
				if (data.wx != '') {
					this.name = data.wx.name
					this.code = data.wx.payment
					this.image = data.wx.image
					this.phone = data.wx.phone
				}
			})

		},
		methods: {
			//发送验证码
			verification() {
				let obj = this;
				if (!this.userInfo.phone) {
					this.$api.msg('请绑定手机号');
					return;
				}
				// 判断是否在倒计时
				if (obj.countDown > 0) {
					return false;
				} else {
					obj.countDown = 60;
					obj.time = setInterval(() => {
						obj.countDown--;
					}, 1000);
					//调用验证码接口
					verify({
							phone: obj.userInfo.phone,
							type: ''
						})
						.then(({
							data
						}) => {})
						.catch(err => {
							console.log(err);
						});
				}
			},
			uploads() {
				const that = this;
				if (that.upFileLoding) {
					return
				}
				that.upFileLoding = true;
				setTimeout(()=>{
					that.upFileLoding = false;
				},1000);
				upload({
					filename: '',
					file_name: 'collection/wx/' + that.userInfo.uid
				}).then(data => {
					that.image = data[0].url;
				}).catch((err) => {
					console.log(err);
				})
			},
			confirm() {
				let obj = this;
				if (!obj.name) {
					return this.$api.msg('请输入提款人姓名');
				}
				if (!obj.code) {
					return this.$api.msg('请输入微信账号');
				}
				if (!obj.image) {
					return this.$api.msg('请上传微信二维码');
				}
				if (!obj.phone) {
					return this.$api.msg('请输入手机号码');
				}
				// if (!obj.captcha) {
				// 	return this.$api.msg('请输入验证码');
				// }
				auction({
						type: 1,
						name: obj.name,
						payment: obj.code,
						image: obj.image,
						phone: obj.phone,
						// captcha: obj.captcha,
					})
					.then(e => {
						obj.$api.msg('修改成功');
						uni.redirectTo({
							url: './collection',
						});
					})
					.catch(e => {
						console.log(e);
					});
			},
		}
	}
</script>

<style lang="scss">
	page,
	.content {
		height: 100%;
		margin: 0;
		padding: 0;

	}

	.box {
		margin: 20rpx 0 100rpx 0;
		width: 100%;
		background: #FFFFFF;

		.wx {
			border-bottom: #F0F0F0 solid 1rpx;
			padding: 20rpx 0 30rpx 0;
			display: flex;

			text {
				width: 150rpx;
				margin: 0 30rpx;
			}

			input {
				display: inline-block;
				font-size: 28rpx;
				font-family: PingFang SC;
				font-weight: 400;
				color: #999999;
				line-height: 100rpx;
			}
		}

		.erweima {
			padding: 30rpx 0;
			display: flex;

			text {
				margin: 0 30rpx;
				width: 150rpx;
				font-size: 30rpx;
				font-family: PingFang SC;
				font-weight: 400;
				color: #333333;

			}

			.img {
				width: 160rpx;
				height: 160rpx;

				image {
					width: 100%;
					height: 100%;
				}
			}
		}
	}

	.button {
		margin: 0 auto;
		width: 560rpx;
		height: 80rpx;
		background: #ECC697 ;
		border-radius: 40rpx;
		font-size: 30rpx;
		font-family: PingFangSC;
		font-weight: 500;
		color: #FFFFFF;
		line-height: 80rpx;
		text-align: center;
	}

	.uni-input {
		text-align: left;
		width: 325rpx;
		font-size: 28rpx !important;
	}

	.login_name {
		color: #333333;
	}

	.code {
		color: #ECC697 ;
		font-size: 23rpx;
		border-left: 1px solid #eeeeee;
		width: 150rpx;
		flex-shrink: 0;
		text-align: center;
	}
</style>